Summary:	Useful collection of routines for C and C++ programming
Summary(pl.UTF-8):	Przydatny zbiór funkcji do programowania w C i C++
Name:		libHX
Version:	4.27
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://inai.de/files/libhx/?C=M;O=D
Source0:	https://inai.de/files/libhx/%{name}-%{version}.tar.xz
# Source0-md5:	f055c429ae890436faf1f7d8f24bd76a
URL:		https://inai.de/projects/libhx/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
J. Engelh's general-purpose library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%description -l pl.UTF-8
Biblioteka J. Engelha ogólnego przeznaczenia, obejmująca:
- drzewa czerwono-czarne do list i tablic asocjacyjnych
- kolejki o dwóch końcach (stosy LIFO/kolejki FIFO)
- niezależny od platformy dostęp do katalogów w stylu opendir
- niezależny od platformy dostęp do bibliotek współdzielonych w stylu
  dlopen
- łańcuchy znaków z automatycznym zarządzaniem pamięcią i bezpośrednim
  dostępem
- analizator opcji linii poleceń (argv)
- analizator plików konfiguracyjnych w stylu powłoki sh
- niezależny od platformy generator liczb losowych z przezroczystą
  obsługą /dev/urandom
- różne operacje na łańcuchach znaków, pamięci i strukturach zvec

%package devel
Summary:	libHX header files
Summary(pl.UTF-8):	Pliki nagłówkowe libHX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:7

%description devel
libHX header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libHX.

%package static
Summary:	libHX static library
Summary(pl.UTF-8):	Statyczna biblioteka libHX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libHX static library.

%description static -l pl.UTF-8
Statyczna biblioteka libHX.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING doc/changelog.rst
%attr(755,root,root) %{_libdir}/libHX.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libHX.so.32

%files devel
%defattr(644,root,root,755)
%doc doc/[!c]*.rst
%attr(755,root,root) %{_libdir}/libHX.so
%{_includedir}/libHX.h
%{_includedir}/libHX
%{_pkgconfigdir}/libHX.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libHX.a
%changelog
* Sun Apr 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libHX.git;a=log;h=master

* Fri Apr 04 2025 Jakub Bogusz <qboosh@pld-linux.org> c0126d6
- new URLs, updated to 4.27

* Sun Aug 28 2016 Jan Rękorajski <baggins@pld-linux.org> e2cca95
- release 2 (by relup.sh)

* Fri Feb 03 2012 Elan Ruusamäe <glen@pld-linux.org> 78a3ca3
- up to 3.12.1

* Thu Apr 07 2011 lisu <lisu@pld-linux.org> aac439a
- up to 3.10.1
- drop libtool file
- new version of soname
- drop hxdirstamp binary

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> e329203
- auto*ize
- BR: autoconf, automake, libtool

* Mon Jan 17 2011 lisu <lisu@pld-linux.org> 0745eb8
- up to 3.9.1
- package hxdirstamp program and its man page

* Fri Dec 03 2010 lisu <lisu@pld-linux.org> 5112650
- up to 3.8

* Fri Sep 03 2010 zbyniu <zbyniu@pld-linux.org> b0c715b
- CVE note added

* Tue Aug 17 2010 lisu <lisu@pld-linux.org> b157942
- up to 3.6 (CVE-2010-2947)

* Mon Aug 02 2010 lisu <lisu@pld-linux.org> 0805f99
- updated to 3.5
- .so updated to version 25
- package libHX_Documentation.pdf as doc

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> dd27da7
- added tar BR

* Tue Apr 06 2010 lisu <lisu@pld-linux.org> 7848151
- up to 3.4

* Tue Oct 13 2009 lisu <lisu@pld-linux.org> 39049cb
- up to 3.2
- BR: pkgconfig

* Mon Sep 14 2009 lisu <lisu@pld-linux.org> 58bb9f5
- obsolete

* Mon Sep 14 2009 lisu <lisu@pld-linux.org> 00e6506
- up to 3.1
- remove commented gcc3.patch

* Tue Sep 08 2009 lisu <lisu@pld-linux.org> 9836f62
- up to 3.0.1

* Thu Aug 27 2009 lisu <lisu@pld-linux.org> 3ba30a5
- unified sourceforge url

* Thu Aug 27 2009 lisu <lisu@pld-linux.org> 6a1091a
- up to 3.0
- new ghost soname symlink version

* Sat Aug 22 2009 Grzesiek Pycia <gzohop@pld-linux.org> 1a04e34
- up to 2.9
- patch no needed

* Tue Apr 21 2009 Elan Ruusamäe <glen@pld-linux.org> 6d75c86
- include stddef.h for offsetof (thx patrys)

